summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorSven Gothel <[email protected]>2010-11-26 03:11:48 +0100
committerSven Gothel <[email protected]>2010-11-26 03:11:48 +0100
commitf44fb7920627ac00d2c3f949793d0d92fdea1bcd (patch)
treecce9af84a5e264683c2d84b964c988ed2e43ace9
parentb313f6c10032044f143b64f8b0aecc574f441f46 (diff)
Add changelog git script
-rwxr-xr-xgit/git-changelog.sh16
-rwxr-xr-x[-rw-r--r--]git/git-make-shared-bare.sh0
2 files changed, 16 insertions, 0 deletions
diff --git a/git/git-changelog.sh b/git/git-changelog.sh
new file mode 100755
index 0000000..33719ec
--- /dev/null
+++ b/git/git-changelog.sh
@@ -0,0 +1,16 @@
+#!/bin/bash
+
+module="$1"
+last="$2"
+new="$3"
+
+if [ -z "$module" -o -z "$last" -o -z "$new" ] ; then
+ echo "Usage: $0 module last-ref new-ref"
+ exit 1
+fi
+
+echo "Module $module - Tag $new"
+#echo "git archive --prefix=$module-$new/ $new | lzma -9 > ../$module-$new.tar.lzma"
+git log --no-merges $new ^$last > ../$module-ChangeLog-$new
+git shortlog --no-merges $new ^$last > ../$module-ShortLog
+git diff --stat --summary -M $last $new > ../$module-diffstat-$new
diff --git a/git/git-make-shared-bare.sh b/git/git-make-shared-bare.sh
index 9903713..9903713 100644..100755
--- a/git/git-make-shared-bare.sh
+++ b/git/git-make-shared-bare.sh